Bug 1867088 - tag werkzeug >= 0.15 and Flask >= 1.10 for OCP 4.6
Summary: tag werkzeug >= 0.15 and Flask >= 1.10 for OCP 4.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Riccardo Pittau
QA Contact: Polina Rabinovich
URL:
Whiteboard:
: 1866880 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 10:29 UTC by Riccardo Pittau
Modified: 2020-10-27 16:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:25:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:26:16 UTC

Description Riccardo Pittau 2020-08-07 10:29:55 UTC
To be able to deploy new version of ironic-inspector, we need more recent versions of werkzeug and Flask

Comment 2 Bob Fournier 2020-08-11 15:17:20 UTC
*** Bug 1866880 has been marked as a duplicate of this bug. ***

Comment 3 Polina Rabinovich 2020-08-18 09:00:33 UTC
1. I checked on brew https://brewweb.engineering.redhat.com/brew/
2. I searched for ironic-inspector-container
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=72194
3. I opened one of the v4.6.0 link with the green check:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1284201
4. I checked x86_64-build.log logs of the build and searched for python-werkzeug
5. I confronted the version with the one in the bug. It's the same one.

Version from the x86_64-build.log - python3-werkzeug      noarch  0.16.0-1.el8ost     rhel-8-server-ose-rpms-x86_64         
Version from the bug - python-werkzeug-0.16.0-1.el8ost python-flask-1.1.1-1.el8ost

Comment 6 errata-xmlrpc 2020-10-27 16:25:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.